hart_ids: [0]
hart0:
    custom_exceptions:
      - cause_val: 25
        cause_name: halt_ebreak
        priv_mode: M
      - cause_val: 26
        cause_name: halt_trigger
        priv_mode: M
      - cause_val: 28
        cause_name: halt_step
        priv_mode: M
      - cause_val: 29
        cause_name: halt_reset
        priv_mode: M
    custom_interrupts:
      - cause_val: 16
        cause_name: debug_interrupt
        on_reset_enable: 1
        priv_mode : M
    ISA: RV64IMACUZicsr_Zifencei
    User_Spec_Version: '2.3'
    pmp_granularity: 1
    physical_addr_sz: 32
    supported_xlen:
      - 64
    mvendorid:
        reset-val: 0x0
        rv32:
            accessible: false
        rv64:
            accessible: true
            type:
                ro_constant: 0x0
    stvec:
        reset-val: 0x0000000000000000
        rv64:
            accessible: false
            base:
                implemented: false
                type:
                    warl:
                        dependency_fields: []
                        legal:
                          - "base[61:0] bitmask [0x3FFFFFFFFFFFFFFF, 0x0000000000000000]"
                        wr_illegal:
                          - "Unchanged"
            mode:
                implemented: false
                type:
                    warl:
                        dependency_fields: []
                        legal:
                          - 'mode[1:0] in [0x0:0x1]'
                        wr_illegal:
                          - Unchanged
        rv32:
            accessible: false
    mtvec:
        reset-val: 0x0000000000000000
        rv64:
            accessible: true
            base:
                implemented: true
                type:
                    warl:
                        dependency_fields: []
                        legal:
                          - "base[61:0] bitmask [0x3FFFFFFFFFFFFFFF, 0x0000000000000000]"
                        wr_illegal:
                          - "Unchanged"
            mode:
                implemented: true
                type:
                    warl:
                        dependency_fields: []
                        legal:
                          - 'mode[1:0] in [0x0:0x1]'
                        wr_illegal:
                          - Unchanged
        rv32:
            accessible: false
    mstatus:
        rv32:
            accessible: false
        rv64:
            accessible: true
            uie:
                implemented: false
            sie:
                implemented: false
                type:
                  wlrl:
                    - 0:1
            mie:
                implemented: true
            upie:
                implemented: false
            spie:
                implemented: false
                type:
                  wlrl:
                    - 0:1
            mpie:
                implemented: true
            spp:
                implemented: false
                type:
                  wlrl:
                    - 0:1
            mpp:
                implemented: true
                type:
                  warl:
                    dependency_fields: []
                    legal:
                      - mpp[1:0] in [0x0, 0x3]
                    wr_illegal:
                      - Unchanged
            fs:
                implemented: false
                type:
                  warl:
                    dependency_fields: []
                    legal:
                      - fs[1:0] in [0x0:0x3]
                    wr_illegal:
                      - Unchanged
            xs:
                implemented: false
            mprv:
                implemented: false
                type:
                  warl:
                    dependency_fields: []
                    legal:
                      - mprv[0:0] in [0x0:0x1]
                    wr_illegal:
                      - Unchanged
            sum:
                implemented: false
                type:
                  wlrl:
                    - 0:1
            mxr:
                implemented: false
                type:
                  wlrl:
                    - 0:1
            tvm:
                implemented: false
                type:
                  wlrl:
                    - 0:1
            tw:
                implemented: false
                type:
                  wlrl:
                    - 0:1
            tsr:
                implemented: false
                type:
                  wlrl:
                    - 0:1
            sxl:
                implemented: false
                type:
                  ro_constant: 2
            uxl:
                implemented: true
                type: 
                  ro_constant: 2
            sd:
                implemented: false
                type:
                    ro_variable: true
        reset-val: 0x200000000
    sstatus:
        rv32:
          accessible: false
        rv64:
          accessible: false
    marchid:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type:
                ro_constant: 5
        reset-val: 5
    mimpid:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type:
                ro_constant: 0
        reset-val: 0
    mhartid:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type:
                ro_constant: 0
        reset-val: 0
    mip:
        rv32:
            accessible: false
        rv64:
            accessible: true
            usip:
                implemented: false
            ssip:
                implemented: false
            msip:
                implemented: true
                type:
                    ro_variable: true
            utip:
                implemented: false
            stip:
                implemented: false
            mtip:
                implemented: true
                type:
                    ro_variable: true
            ueip:
                implemented: false
            seip:
                implemented: false
            meip:
                implemented: true
                type:
                    ro_variable: true
        reset-val: 0
    sip:
      rv32:
        accessible: False
      rv64:
        accessible: false
    mie:
        rv32:
            accessible: false
        rv64:
            accessible: true
            usie:
                implemented: false
            ssie:
                implemented: false
            msie:
                implemented: true
            utie:
                implemented: false
            stie:
                implemented: false
            mtie:
                implemented: true
            ueie:
                implemented: false
            seie:
                implemented: false
            meie:
                implemented: true
        reset-val: 0
    sie:
      rv32:
        accessible: False
      rv64:
        accessible: false
    mscratch:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - mscratch[63:0] in [0x0000000000000000:0xFFFFFFFFFFFFFFFF]
                    wr_illegal:
                      - Unchanged

        reset-val: 0
    sscratch:
        rv32:
            accessible: false
        rv64:
            accessible: false
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - sscratch[63:0] in [0x0000000000000000:0xFFFFFFFFFFFFFFFF]
                    wr_illegal:
                      - Unchanged

        reset-val: 0
    sepc:
        rv32:
            accessible: false
        rv64:
            accessible: false
            type:
                warl:
                    dependency_fields: []
                    legal:
                      - "sepc[63:0] bitmask [0xFFFFFFFFFFFFFFFE, 0x0000000000000000]"
                    wr_illegal:
                      - "Unchanged"
        reset-val: 0
    stval:
        rv32:
            accessible: false
        rv64:
            accessible: false
            type:
                warl:
                    dependency_fields: []
                    legal:
                      - stval[63:0] in [0x0000000000000000:0xFFFFFFFFFFFFFFFF]
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    scause:
        rv32:
            accessible: false
        rv64:
            accessible: false
            exception_code:
              implemented: false
            interrupt:
              implemented: false
        reset-val: 0
    mepc:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type:
                warl:
                    dependency_fields: []
                    legal:
                      - "mepc[63:0] bitmask [0xFFFFFFFFFFFFFFFE, 0x0000000000000000]"
                    wr_illegal:
                      - "Unchanged"
        reset-val: 0
    mtval:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type:
                warl:
                    dependency_fields: []
                    legal:
                      - mtval[63:0] in [0x0000000000000000:0xFFFFFFFFFFFFFFFF]
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    mcause:
        rv32:
            accessible: false
        rv64:
            accessible: true
        reset-val: 0
    mcycle:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - mcycle[63:0] in [0x0000000000000000:0xFFFFFFFFFFFFFFFF]
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    minstret:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - minstret[63:0] in [0x0000000000000000:0xFFFFFFFFFFFFFFFF]
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    fcsr:
        rv32:
            accessible: false
        rv64:
            accessible: true
            frm:
              implemented: True
              type:
                warl:
                    dependency_fields: []
                    legal:
                      - frm[2:0] in [0x0:0x7]
                    wr_illegal:
                      - Unchanged
            fflags:
              implemented: True
              type:
                warl:
                    dependency_fields: []
                    legal:
                        - fflags[4:0] in [0x00:0x1F]
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    time:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type:
                ro_variable: true
        reset-val: 0
    mideleg:
      rv32:
        accessible: false
      rv64:
        accessible: false
        type:
          warl:
            dependency_fields: []
            legal:
              - mideleg[63:0] bitmask [0x000000000000F7FF,0x0000000000000000]
            wr_illegal:
              - Unchanged
    medeleg:
      rv32:
        accessible: false
      rv64:
        accessible: false
        type:
          warl:
            dependency_fields: []
            legal:
              - medeleg[63:0] bitmask [0x000000000000F7FF,0x0000000000000000]
            wr_illegal:
              - Unchanged
    pmpcfg0:
        reset-val: 0
        rv32:
            accessible: false
        rv64:
            accessible: true
            pmp0cfg:
                implemented: true
                type: 
                  warl:
                      dependency_fields: [pmpcfg0::pmp0cfg]
                      legal:
                        - "pmp0cfg[7] in [0] -> pmp0cfg[7] in [0x0:0x1] pmp0cfg[6:5] in [0] pmp0cfg[4:3] not in [2] pmp0cfg[2:0] not in [2,6]"
                      wr_illegal:
                        - Unchanged
            pmp1cfg:
                implemented: true
                type: 
                  warl:
                      dependency_fields: [pmpcfg0::pmp1cfg]
                      legal:
                        - "pmp1cfg[7] in [0] -> pmp1cfg[7] in [0x0,0x1] pmp1cfg[6:5] in [0] pmp1cfg[4:3] not in [2] pmp1cfg[2:0] not in [2,6]"
                      wr_illegal:
                        - Unchanged
            pmp2cfg:
                implemented: true
                type: 
                  warl:
                      dependency_fields: [pmpcfg0::pmp2cfg]
                      legal:
                        - "pmp2cfg[7] in [0] -> pmp2cfg[7] in [0x0,0x1] pmp2cfg[6:5] in [0] pmp2cfg[4:3] not in [2] pmp2cfg[2:0] not in [2,6]"
                      wr_illegal:
                        - Unchanged
            pmp3cfg:
                implemented: true
                type: 
                  warl:
                      dependency_fields: [pmpcfg0::pmp3cfg]
                      legal:
                        - "pmp3cfg[7] in [0] -> pmp3cfg[7] in [0x0,0x1] pmp3cfg[6:5] in [0] pmp3cfg[4:3] not in [2] pmp3cfg[2:0] not in [2,6]"
                      wr_illegal:
                        - Unchanged
            pmp4cfg:
                implemented: false
            pmp5cfg:
                implemented: false
            pmp6cfg:
                implemented: false
            pmp7cfg:
                implemented: false
    pmpaddr0:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: [pmpcfg0::pmp0cfg]
                    legal:
                      - "pmp0cfg[7] in [0] -> pmpaddr0[29:0] bitmask [0x3FFFFFFE,0x00000000]"
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    pmpaddr1:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: [pmpcfg0::pmp1cfg]
                    legal:
                      - "pmp1cfg[7] in [0] -> pmpaddr1[29:0] bitmask [0x3FFFFFFE,0x00000000]"
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    pmpaddr2:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: [pmpcfg0::pmp2cfg]
                    legal:
                      - "pmp2cfg[7] in [0] -> pmpaddr2[29:0] bitmask [0x3FFFFFFE,0x00000000]"
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    pmpaddr3:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: [pmpcfg0::pmp3cfg]
                    legal:
                      - "pmp3cfg[7] in [0] -> pmpaddr3[29:0] bitmask [0x3FFFFFFE,0x00000000]"
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    mcounteren:
      rv32:
        accessible: False
      rv64:
        accessible: True
        type:
          warl:
            dependency_fields: []
            legal:
              - "mcounteren[31:0] bitmask [0x0000001f, 0x00000000]"
            wr_illegal:
              - Unchanged
    scounteren:
      rv32:
        accessible: False
      rv64:
        accessible: False
        type:
          warl:
            dependency_fields: []
            legal:
              - "scounteren[31:0] bitmask [0x0000001f, 0x00000000]"
            wr_illegal:
              - Unchanged
    mhpmcounter3:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - "mhpmcounter3[63:0] in [0x0000000000000000:0xFFFFFFFFFFFFFFFF]"
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    mhpmcounter4:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - "mhpmcounter4[63:0] in [0x0000000000000000:0xFFFFFFFFFFFFFFFF]"
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    mhpmevent3:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - "mhpmevent3[63:0] in [0x0000000000000000:0x000000000000001F]"
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    mhpmevent4:
        rv32:
            accessible: false
        rv64:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - "mhpmevent4[63:0] in [0x0000000000000000:0x000000000000001F]"
                    wr_illegal:
                      - Unchanged
        reset-val: 0
    satp:
      rv32:
        accessible: false
      rv64:
        accessible: false
        ppn:
          implemented: False
          type:
            warl:
              dependency_fields: []
              legal:
                - "ppn[43:0] in [0x00000000000:0xFFFFFFFFFFF]"
              wr_illegal:
                - Unchanged
        asid:
          implemented: False
          type:
            warl:
              dependency_fields: []
              legal:
                - "asid[15:0] in [0x0000:0x00FF]"
              wr_illegal:
                - Unchanged
        mode:
          implemented: False
          type:
            warl:
              dependency_fields: []
              legal:
                - "mode[3:0] in [0,8]"
              wr_illegal:
                - Unchanged
      reset-val: 0x0000000000000000

